## org.opengis.metadata.spatial
Interface Dimension

    @UML(identifier="MD_Dimension",
         specification=ISO_19115)
    public interface Dimension

Axis properties.

Since:
  GeoAPI 2.0

Method Summary
`DimensionNameType` `getDimensionName()` Name of the axis.
`Integer` `getDimensionSize()` Number of elements along the axis.
`Double` `getResolution()` Degree of detail in the grid dataset.

Method Detail

### getDimensionName

    @UML(identifier="dimensionName",
         obligation=MANDATORY,
         specification=ISO_19115)
    DimensionNameType getDimensionName()

  Name of the axis.

### getDimensionSize

    @UML(identifier="dimensionSize",
         obligation=MANDATORY,
         specification=ISO_19115)
    Integer getDimensionSize()

  Number of elements along the axis.

  Returns:
    Integer mandatory for valid content, may be null for an invalid document.

### getResolution

    @UML(identifier="resolution",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Double getResolution()

  Degree of detail in the grid dataset.

  Unit:
    Measure

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.